/*gestione colore label _loginPartial*/
@media (max-width: 767px) {
    #app-navbar-collapse {
        margin: 0;
    }

    .navbar-inverse .navbar-nav > li > a {
        color: #1576c2;
    }

    .navbar-inverse .navbar-nav > li > a:hover, .navbar-inverse .navbar-nav > li > a:focus {
        color: #1576c2;
        background-color: transparent;
    }
}

@media (min-width: 768px) {
    #app-navbar-collapse {
        margin: 0;
    }

    .navbar-inverse .navbar-nav > li > a {
        color: #fff;
    }

    .navbar-inverse .navbar-nav > li > a:hover, .navbar-inverse .navbar-nav > li > a:focus {
        color: #fff;
        background-color: transparent;
    }
}
/*--------------------*/

#containerUltimePrestazioni {
    min-height: 350px;
}

.paddingTop50 {
    padding-top: 50px;
}

.k-webkit .k-pager-sizes,
.k-ff .k-pager-sizes,
.k-ie11 .k-pager-sizes,
.k-safari .k-pager-sizes {
    display: inline-block;    
}

.k-widget k-dropdown k-header {
    display: inline-block;
}
@media (min-width: 992px) {
    .float-left {
        float: left;
    }
    .float-right{
        float: right;
    }
}

/*Accordion*/
.panel-title {
    text-transform: none;
    font-weight: 600;
    color: #333333;
}

.accordion-toggle {
    padding: 1rem;
}

/*Validation message*/
.field-validation-error {
    color: #d21212;
    font-size: 12px;
}
/**/

.panel-heading-custom {
    padding: 16px !important;
}

.panel-transparent {
    background-color: transparent;
    box-shadow: none;          
}

.panel-transparent .panel-heading {
    background-color: white;
    border: 1px solid transparent;
    border-radius: 4px;
    -webkit-box-shadow: 0 1px 1px rgba(0, 0, 0, 0.05);
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.05);
}

.panel-transparent .panel-body {
    padding-left: 1px;
    padding-right: 1px;
}

.panel-title-right {
    text-transform: none;
    margin-top: 0px;
    margin-bottom: 0px;
    float: right;
}

.custom-btn-info {
    text-align: center;
    cursor: pointer;
    white-space: nowrap;
    font-size: 20px;
    background-color: unset;
    border: unset;
    height: 55px;
    width: 55px;
}

.custom-btn-info:hover {
    opacity: 0.5;
}

@media screen and (max-width: 540px) {
    .k-grid {
        font-size: 10px;
    }
}

/*DISABLED MENU ITEM*/
.theme-primary .menubar .app-menu li.disabled
 {
    opacity: 0.3;
}

.menubar.light .app-menu li.disabled{
    /*background-color: unset !important;*/
    pointer-events: none;
}

a.disabled {
    pointer-events: none;
    cursor: default;
}

.theme-primary .menubar .app-menu li.disabled > a,
.theme-primary .menubar .app-menu li.disabled > a > i,
.theme-primary .menubar .app-menu li.disabled > a > span {
    pointer-events: none;
}

/*AWESOME BOOSTRAP CHECKBOX*/

input[type="checkbox"].styled:checked + label:after,
input[type="radio"].styled:checked + label:after,
.checkbox input[type=checkbox]:checked + label:after {
    font-family: 'Glyphicons Halflings';
    content: "\e013";
}

input[type="checkbox"].styled:checked label:after,
input[type="radio"].styled:checked label:after,
.checkbox label:after {
    padding-left: 4px;
    padding-top: 2px;
    font-size: 9px;
}

/*task base header*/
.pf-task-base-info .pf-left-title {
    margin-top: 8px;
}

.pf-task-base-info .pf-left-title h3,
.pf-task-base-info .pf-left-title h4 {
    display: inline;
}

.pf-task-base-info .counter {
    color: #a9a9a9;
}

.pf-task-base-info .pf-left-title a{
    margin-left: 8px;
}

.pf-task-base-info .pf-left-title small{
    display:block;
    margin-top: 8px;
}

.btn-widget{
    min-width: 100px;
    margin-right: 5px;
}

.app-menu .menu-icon {
    line-height: .75em;
}

.select2-container--default .select2-selection--multiple {
    height: unset !important;
    min-height: 38px;
    border-radius: 3px;
    box-shadow: none;
    border-color: #ddd;
}

#containerError {
    white-space: pre-line;
}

#exceptionDetailsModalContent {
    white-space: pre-line;
}

.modal-header .modal-title{
    display: inline-block;
    float: left;
}

.modal-header button {
    display: inline-block;
    float: right;
}

.app-main {
    display: flex;
    flex-direction: column;
    min-height: 100%;
    position: relative;
}

.app-main .page-content {
    flex: 1 auto;
}

body {
    height: 100%;
}

.full-page-container {
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
    display: flex;
    flex-direction: column;
    /*height: 500px;*/
    background: #f3f3f3;
}

.btnToggleBottomPanel {
    /*background: var(--primary-color);*/
    /*color: white;*/
    position: absolute;
    bottom: 9px;
   /* height: 30px;*/
    /*display: flex;*/
    /*align-items: center;*/
    /*justify-content: center;*/
    /*padding: 20px;*/
    right: 30px;
    /*cursor: pointer;*/
}

/*.btnToggleBottomPanel i {
    font-size: 20px;
    margin-right: 10px;
}*/

/*.btn {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 7px;
}

.btn i {
    font-size: 16px;
}*/

/*SPLITTER TOGGLE BUTTON*/
#vertical.k-splitter .k-splitbar-vertical .k-collapse-next,
#vertical.k-splitter .k-splitbar-vertical .k-expand-next {
    overflow: visible;
    width: 50px;
    height: 20px;
    bottom: 8px;
    background-color: white;
    border: 1px solid #adadad;
    border-bottom: none;
    border-top-left-radius: 4px;
    border-top-right-radius: 4px;
    margin-left: -18px;
    z-index: 10001;
    color: rgb(81, 81, 81);
}

    #vertical.k-splitter .k-splitbar-vertical .k-collapse-next:hover,
    #vertical .k-splitter .k-splitbar-vertical .k-expand-next:hover {
        background-color: #d7ebf9;
    }

    #vertical.k-splitter .k-splitbar-vertical .k-collapse-next::before {
        font-family: "Font Awesome 5 Pro";
        font-weight: 400;
        content: "\f107";
        font-size: 24px;
    }

    #vertical.k-splitter .k-splitbar-vertical .k-expand-next::before {
        font-family: "Font Awesome 5 Pro";
        font-weight: 400;
        content: "\f106";
        font-size: 24px;
    }

.panel-heading {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    height: 50px;
    padding: 0px 16px;    
}

/*KENDO TOOLTIP*/
.k-chart-crosshair-tooltip, .k-chart-shared-tooltip, .k-widget.k-tooltip {
    border: 1px #1957a2 solid;
    background-color: #fafafa;
    color: #2e2e2e;
    text-align: left;
    line-height: 1.3rem;
}

    .k-chart-crosshair-tooltip, .k-chart-shared-tooltip, .k-widget.k-tooltip .tooltip-label {
        color: #878787;
    }

.tasks-table-drop-overlay-zone {
    position: absolute;
    z-index: 10;
    background-color: #ff000073;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    justify-content: center;
    align-items: center;
    color: white;
    border: 4px solid white;
    border-top-style: solid;
    border-right-style: solid;
    border-bottom-style: solid;
    border-left-style: solid;
    border-style: dashed;
    display: none;
}

    .tasks-table-drop-overlay-zone:hover {
        background-color: #ff00009b;
    }

.tostr_absolute {
    top: 10px;
    position: absolute !important;
}

/*BTN TABLE*/
.btn-table {
    background: unset;
    font-size: 16px;
    padding: 4px 9px;
}

    .btn-table i {
        color:#8c8c8c;
    }

    .btn-table:hover {
        color: #036082;
        background-color: #f5f5f5;
    }

.k-event.k-selected {
    outline: 3px solid #cf1010;
}

.inline-field {
    display: flex;
    align-items: end;
}